Skip to content

POST /processes/{id}/step

Endpoint

POST /processes/{id}/step

Headers

biometrid-app: YOUR_APP_ID
biometrid-credential: YOUR_CREDENTIAL_ID
Content-Type: application/json

Request Body

The request body varies depending on the step type. Here are the supported formats:

Form Data

{
  "name": "string",
  "email": "user@example.com",
  "phone": {
    "country": "PT",
    "number": "123456789"
  },
  "birthday": "1990-01-01",
  "country": "PT",
  "peoples": true,
  "zipcode": {
    "country": "PT",
    "number": "1000-001"
  }
}

Document Validation

{
  "doctype": "idcard",
  "front": "base64-encoded-image",
  "back": "base64-encoded-image"
}

Face Liveness 3D

{
  "reference": "string",
  "photo": "base64-encoded-image",
  "template": "string"
}

Face Liveness 2D

{
  "photo": "base64-encoded-image"
}

Face Verify 2D

{
  "photo": "base64-encoded-image"
}

Face Verify 3D

{
  "template": "string",
  "photo": "base64-encoded-image"
}

Face Compare 2D2D

{
  "template1": "string",
  "template2": "string"
}

Face Compare 3D2D

{
  "template1": "string",
  "template2": "string"
}

Face Enroll 2D

{
  "photo": "base64-encoded-image",
  "reference": "string"
}

Face Enroll 3D

{
  "template": "string",
  "photo": "base64-encoded-image"
}

OTP Request

{
  "phone": {
    "country": "PT",
    "number": "123456789"
  }
}

OTP Verification

{
  "otpCode": "123456"
}

Video Liveness

{
  "video": "base64-encoded-video"
}

Video Conference

{
  "postpone": false
}

Video Conference Schedule

{
  "postpone": true,
  "date": "2024-01-01T10:00:00Z",
  "phone": {
    "country": "PT",
    "number": "123456789"
  },
  "email": "user@example.com"
}

Joint Ownership

{
  "users": [
    {
      "name": "John Doe",
      "email": "john@example.com",
      "phone": {
        "country": "PT",
        "number": "123456789"
      }
    }
  ]
}

Document Sign OTP - Request

{
  "phoneNumber": {
    "country": "PT",
    "number": "123456789"
  },
  "fileId": "string"
}

Document Sign OTP - Verification

{
  "fileId": "string",
  "otpCode": "123456"
}

Document Sign Qualified - Request

{
  "phoneNumber": {
    "country": "PT",
    "number": "123456789"
  },
  "fileId": "string",
  "pin": 1234
}

Document Sign Qualified - Verification

{
  "fileId": "string",
  "otpCode": "123456"
}

AML Check

{
  "searchTerm": "string"
}

Authentication CMD - Verification

{
  "accessToken": "string"
}

cURL Examples

Form Data Submission

curl -X POST "https://api.uat.biometrid.com/processes/process_abc123/step" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "John Doe",
    "email": "john@example.com",
    "phone": {
      "country": "PT",
      "number": "123456789"
    }
  }'

Document Upload

curl -X POST "https://api.uat.biometrid.com/processes/process_abc123/step" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "doctype": "idcard",
    "front": "base64-encoded-image-data",
    "back": "base64-encoded-image-data"
  }'

Face Liveness

curl -X POST "https://api.uat.biometrid.com/processes/process_abc123/step" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "photo": "base64-encoded-image-data"
  }'

OTP Verification

curl -X POST "https://api.uat.biometrid.com/processes/process_abc123/step" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "otpCode": "123456"
  }'

Response (200)

Next Step Response

{
  "data": {
    "processId": "string",
    "flowId": "string",
    "step": {
      "id": "string",
      "name": "string",
      "next": "string",
      "settings": {
        "maxRetries": 0,
        "preventPrevious": false,
        "deviceType": "mobile"
      },
      "action": {
        "type": "form",
        "fields": [],
        "settings": {},
        "provider": {
          "providerId": "string",
          "provider": "string"
        }
      },
      "tasks": []
    },
    "path": {
      "id": "string",
      "name": "string"
    },
    "completedSteps": {
      "id": "string",
      "name": "string",
      "type": "form"
    },
    "nonce": {
      "id": "string",
      "expiresAt": "2024-01-01T10:00:00Z"
    }
  },
  "meta": {
    "message": "Successful update process step",
    "code": "BIOPMSCS002"
  },
  "status": true
}

Process Finished Response

{
  "data": {
    "finished": true
  },
  "meta": {
    "message": "Process finished with success",
    "code": "BIOPMSCS004"
  },
  "status": true
}

Response (403)

{
  "data": {},
  "meta": {
    "message": "Process finished",
    "code": "BIOPMSCE002"
  },
  "status": false
}

Response (404)

{
  "data": {},
  "meta": {
    "message": "Step not found",
    "code": "BIOPMSSE006"
  },
  "status": false
}

Response (409)

{
  "data": {},
  "meta": {
    "message": "Flow not active",
    "code": "BIOACASE006"
  },
  "status": false
}